Axelered
Documents

Upload Document

POST
/documents

Upload a file as a new document. The document expires 30 days after upload.

Query Parameters

idempotency_key?|

Unique key that makes the creation at-most-once. Reusing it in the workspace returns 409.

Header Parameters

x-workspace-id?|

The Workspace to act on. Required for the Root Key and global API Keys, optional for bound ones.

Request Body

multipart/form-data
  1. body
file*File

The file to upload

name?|

Defaults to the filename

Response Body

Successful Response

application/json
  1. response
status?Status
Default"ok"
data*
{  "status": "ok",  "data": {    "id": "string",    "workspaceId": "string",    "createdAt": "string",    "modifiedAt": "string",    "deletedAt": "string",    "name": "string",    "mimeType": "text/plain",    "size": 0  }}